> For the complete documentation index, see [llms.txt](https://docs.gridmate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridmate.io/package-reference/components-library/dynamic-components/gm-dynamic-tabs.md).

# GM - Dynamic Tabs

(gmpkg:DataGridTabSetComponent)

## **Documentation**

**GM - Dynamic Tabs** component is used to display a Tab Set in a Lightning App Page. It could be useful to build a workspace like an SRD Workspace.

**Use case:** Display contacts and accounts list views in separate tabs on the same page. See [Dynamic Tabs](https://docs.gridmate.io/package-reference/config-samples/dynamic-tabs.md) for a configuration sample.

## **Specification**

<table data-full-width="true"><thead><tr><th width="209">Property</th><th width="121.33333333333331">Type</th><th width="504.22831217447924">Description</th></tr></thead><tbody><tr><td>Tabs Config.</td><td>String</td><td>Tabs JSON configuration describing the tabs and the content for each tab.</td></tr><tr><td>Extra Tabs Config.</td><td>String</td><td>Extra Tabs JSON configuration describing the tabs and the content for each tab.</td></tr><tr><td>Variant</td><td>String</td><td>The appearance of the Tabs : default, scoped or vertical</td></tr><tr><td>Show border?</td><td>Boolean</td><td>Check this option if you wish to add a border. The default value is false.</td></tr></tbody></table>

Example of Dynamic Tabs configuration

```json
[
   {
      "label": "Contacts",
      "components": [
         {
            "component": "gmpkg:ListViewDataGridComponent",
            "attributes": {
               "relatedObjectName": "Contact",
               "listViewName": "AllContacts",
               "canCreate": false,
               "canUpdate": true,
               "canDelete": true,
               "canFilter": true,
               "recordDetail": true,
               "inline": true,
               "showBorder": true,
               "showColumnBorder": true               
            }
         }
      ]
   },
   {
      "label": "Accounts",
      "components": [
         {
            "component": "gmpkg:ListViewDataGridComponent",
            "attributes": {
               "relatedObjectName": "Account",
               "listViewName": "AllAccounts",
               "canCreate": false,
               "canUpdate": true,
               "canDelete": true,
               "canFilter": true,
               "showBorder": true,
               "inline": true
            }
         }
      ]
   }
]
```

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="DataGridTabSetComponent.design" %}

```xml
<design:component label="GM - Dynamic Tabs">
    <design:attribute name="tabItems" label="Tabs Config." description="Tabs JSON configuration"/>
    <design:attribute name="extraTabItems" label="Extra Tabs Config." description="Extra Tabs JSON configuration"/>
    <design:attribute name="variant" label="Variant" description="The appearance of the tabset (default|scoped|vertical)"/>
    <design:attribute name="showBorder" label="Show border?" />    
</design:component>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridmate.io/package-reference/components-library/dynamic-components/gm-dynamic-tabs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
